/{organizationId}/{mandateId}/crm/applications/submissions/listList submissions
Returns a list of application submissions
Required permissions:
mandate.read
applicationSubmission.read
Path Parameters
organizationIdstringrequired mandateIdstringrequired Request Body required
Content-Type: application/json
limitintegeroptional Default: 50
minimum: 0
maximum: 100
offsetintegeroptional Default: 0
minimum: 0
maximum: 9007199254740991
returnCountbooleanoptional Default: false
applicationFormIdstringoptional A stringified json object representing a property filter
Authentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/applications/submissions/list' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"sort": {},
"limit": 50,
"offset": 0
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
countintegerrequired minimum: 0
maximum: 9007199254740991
Response
{
"count": 0,
"submissions": [
{
"_id": "000000000000000000000001",
"mandate": "000000000000000000000001",
"applicationForm": "000000000000000000000001",
"applicationFormName": "string",
"status": "unread",
"emailConfirmed": true,
"submission": {
"schema": [
{
"id": "string",
"label": "string",
"fields": [
{
"id": "string",
"type": "placeholder"
}
]
}
],
"data": {}
},
"language": "en",
"dispatchStatus": {
"openedAt": "2026-06-15T22:30:00Z",
"sentAt": "2026-06-15T22:30:00Z",
"dispatchedBy": {
"name": "string",
"type": "user",
"userId": "string",
"image": {
"resource": "string"
}
},
"sendStatus": "none",
"sendError": "NO_CREDITS_ENOUGH",
"sendPrice": 1
},
"reviewStatus": "none",
"reviewer": {
"name": "string",
"type": "user",
"userId": "string",
"image": {
"resource": "string"
}
},
"reviewRequestNote": "string",
"reviewRequestedAt": "string",
"reviewRequestedBy": {
"name": "string",
"type": "user",
"userId": "string",
"image": {
"resource": "string"
}
},
"reviewNote": "string",
"reviewedAt": "string",
"reviewedBy": {
"name": "string",
"type": "user",
"userId": "string",
"image": {
"resource": "string"
}
}
}
]
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}